# Uses of Class
javafx.print.PageLayout

Packages that use PageLayout
Package
Description
javafx.print
Provides the public classes for the JavaFX Printing API.

## Uses of PageLayout in javafx.print

Methods in javafx.print that return PageLayout
Modifier and Type
Method
Description
`PageLayout`
Printer.`createPageLayout(Paper paper, PageOrientation orient, double lMargin, double rMargin, double tMargin, double bMargin)`
Obtain a new PageLayout for this printer using the specified parameters.
`PageLayout`
Printer.`createPageLayout(Paper paper, PageOrientation orient, Printer.MarginType mType)`
Obtain a new PageLayout instance for this printer using the specified parameters.
`PageLayout`
Printer.`getDefaultPageLayout()`
Return the default page layout for this printer.
`PageLayout`
JobSettings.`getPageLayout()`
Get the current page layout for this job.
Methods in javafx.print that return types with arguments of type PageLayout
Modifier and Type
Method
Description
`final ObjectProperty<PageLayout>`
JobSettings.`pageLayoutProperty()`
Property representing an instance of `PageLayout`.
Methods in javafx.print with parameters of type PageLayout
Modifier and Type
Method
Description
`boolean`
PrinterJob.`printPage(PageLayout pageLayout, Node node)`
Print the specified node using the specified page layout.
`void`
JobSettings.`setPageLayout(PageLayout pageLayout)`
Set the PageLayout to use.